@NotNull error

Anyone see this when trying to make a Flex module.  Running in 11.1
Error: Argument 0 for @NotNull parameter of com/intellij/lang/javascript/flex/projectStructure/CompilerOptionInfo.isApplicable must not be null

7 comments
Comment actions Permalink

Yes, but only after installing 11.1.1 this morning. Did you resolve it?

0
Comment actions Permalink

Not yet.  I have to keep working so I switched back to Flash Builder.  I will update if I get back to it.

0
Comment actions Permalink

I haven't resolved it yet either.

I tried removing the module and recreating it, but that didn't make any difference.

I didn't get this error on another machine with the same project setup, so it appears to be something about that particular installation and/or project files.

0
Comment actions Permalink

I had the same issue this morning after upgrading to 11.1 too.

I managed to fix this by deleting the flex sdk and adding it back in my module settings.

Hope this helps.

0
Comment actions Permalink

Good call, that did it. Thanks!

0
Comment actions Permalink

Worked for me as well.  Thanks!!!!

0
Comment actions Permalink

The issue is fixed for upcoming IntelliJ IDEA 11.1.2 update release, sorry for inconvenience.
The issue appears when you change Flex SDK home path after SDK creation. Indeed, the workaround is to remove SDK and create it again.

0

Please sign in to leave a comment.